> For the complete documentation index, see [llms.txt](https://docs.ox.security/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ox.security/api-documentation/api-reference/api--connectors/types/objects/client-id-secret-api-url-credentials.md).

# clientIdSecretApiUrlCredentials

Credentials using client ID, secret, and API URL.

### Examples

```graphql
type ClientIdSecretApiUrlCredentials {
  clientId: String
  clientSecret: String
  apiUrl: String
  optionalFields: OptionalFields
  credentialsId: String
  credentialsName: String
  tokenExpirationDate: String
  invalidReason: String
  credentialsType: CredentialsType
  isCertChecksDisabled: Boolean
  hostURL: String
  iv: String
  monitoredResources: JSON
  monitorAllResources: Boolean
  monitorAllNewlyCreatedResources: Float
  brokerUsername: String
  brokerPassword: String
  brokerEnabled: Boolean
  brokerHost: String
  brokerPort: Int
}
```

### Fields

| Field                                                                                                                                         | Description                                             | Supported fields                                                                                                                                                                       |
| --------------------------------------------------------------------------------------------------------------------------------------------- | ------------------------------------------------------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| clientId `String`                                                                                                                             | Client identifier                                       |                                                                                                                                                                                        |
| clientSecret `String`                                                                                                                         | Client secret                                           |                                                                                                                                                                                        |
| apiUrl `String`                                                                                                                               | API endpoint URL                                        |                                                                                                                                                                                        |
| optionalFields [`OptionalFields`](https://docs.ox.security/api-documentation/api-reference/api--connectors/types/objects/optional-fields.md)  | Additional optional configuration fields                | <p>SSHKey <code>String</code><br>RepoSearchQuery <code>String</code><br>Config <code>String</code><br>buildIssueToCloud <code>Boolean</code><br>dockerPullHost <code>String</code></p> |
| credentialsId `String`                                                                                                                        |                                                         |                                                                                                                                                                                        |
| credentialsName `String`                                                                                                                      |                                                         |                                                                                                                                                                                        |
| tokenExpirationDate `String`                                                                                                                  |                                                         |                                                                                                                                                                                        |
| invalidReason `String`                                                                                                                        |                                                         |                                                                                                                                                                                        |
| credentialsType [`CredentialsType`](https://docs.ox.security/api-documentation/api-reference/api--connectors/types/enums/credentials-type.md) |                                                         |                                                                                                                                                                                        |
| isCertChecksDisabled `Boolean`                                                                                                                | Indicates if SSL/TLS certificate validation is disabled |                                                                                                                                                                                        |
| hostURL `String`                                                                                                                              |                                                         |                                                                                                                                                                                        |
| iv `String`                                                                                                                                   |                                                         |                                                                                                                                                                                        |
| monitoredResources `JSON`                                                                                                                     |                                                         |                                                                                                                                                                                        |
| monitorAllResources `Boolean`                                                                                                                 |                                                         |                                                                                                                                                                                        |
| monitorAllNewlyCreatedResources `Float`                                                                                                       |                                                         |                                                                                                                                                                                        |
| brokerUsername `String`                                                                                                                       |                                                         |                                                                                                                                                                                        |
| brokerPassword `String`                                                                                                                       |                                                         |                                                                                                                                                                                        |
| brokerEnabled `Boolean`                                                                                                                       |                                                         |                                                                                                                                                                                        |
| brokerHost `String`                                                                                                                           |                                                         |                                                                                                                                                                                        |
| brokerPort `Int`                                                                                                                              |                                                         |                                                                                                                                                                                        |

### References

#### Fields with this object:

* [{} Credential](https://docs.ox.security/api-documentation/api-reference/api--connectors/types/unions/credential.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.ox.security/api-documentation/api-reference/api--connectors/types/objects/client-id-secret-api-url-credentials.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
